## teapop 0.3.7-5ubuntu1

=== bin/Makefile ===
prefix		= /usr
localstatedir	= /var/run/teapop
exec_prefix	= /usr
sbindir		= ${exec_prefix}/sbin
popauth_file	= no

CHMOD    = /bin/chmod
INSTALL  = /usr/bin/install -c
MV       = /bin/mv
RM       = /bin/rm
SED      = /bin/sed

build:
	@ echo Creating cronpopauth.pl;					\
	${SED} -e 's%@_PERL@%/usr/bin/perl%g'					\
	cronpopauth.pl.in						\
	| ${SED} -e 's%@_localstatedir@%/var/run/teapop%g'		\
	| ${SED} -e 's%@_sbindir@%${exec_prefix}/sbin%g'				\
	| ${SED} -e 's%@_popauth_file@%no%g'		\
	> cronpopauth.pl ;						\
	${CHMOD} 0755 cronpopauth.pl;					\

install: build
	@ echo Installing cronpopauth.pl;				\
	${INSTALL} -d ${DESTDIR}/${sbindir};				\
	${INSTALL} cronpopauth.pl ${DESTDIR}/${sbindir};		\

makefile: ../config/timestamp
	@ echo Updating Makefile
	@ if [ -f Makefile.tmp ]; then					\
		echo "Please remove Makefile.tmp";			\
		false;							\
	fi
	@ ${MV} Makefile Makefile.tmp
	@ ${SED} -e 's%^INSTALL *= *\.\..*%INSTALL  = ../config/install-sh -c%'\
		Makefile.tmp > Makefile
	@ ${RM} Makefile.tmp

../config/timestamp:
	@ echo Please run the configure script first
	@ false

depend:

clean:
	${RM} -f cronpopauth.pl

distclean: clean
	${RM} -f Makefile

=== debian/changelog ===
teapop (0.3.7-5ubuntu1) feisty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Add update-inetd to teapop's dependencies
    - Update maintainer field in debian/control

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sun, 18 Feb 2007 21:20:30 +0000

teapop (0.3.7-5) unstable; urgency=low

  * Update build-dep on postgresql-dev to libpq-dev. Closes: #409771

 -- Nick Phillips <nwp@lemon-computing.com>  Tue, 13 Feb 2007 21:58:18 +1300

teapop (0.3.7-4.2ubuntu2) feisty; urgency=low

  * debian/control: Change obsolete build dependency postgresql-dev to
    libpq-dev.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon,  5 Feb 2007 11:26:44 +0100

teapop (0.3.7-4.2ubuntu1) feisty; urgency=medium

  * debian/control: Add update-inetd to teapop's dependencies
    (Closes Ubuntu: #76156).

 -- Lionel Porcheron <lionel@alveonet.org>  Sun, 17 Dec 2006 15:48:46 +0100

teapop (0.3.7-4.2) unstable; urgency=medium

  * Non-maintainer upload to fix release critical bugs.
  * Do not require update-inetd to be present for succesful
    purge (Closes: #388609, #389640).

 -- Thijs Kinkhorst <thijs@debian.org>  Sun,  1 Oct 2006 16:36:06 +0200

teapop (0.3.7-4.1) unstable; urgency=medium

  * NMU.
  * Update MySQL build dependency to libmysqlclient15-dev.  Closes: #343804.
  * debian/po/ca.po: Add translation by Joan Queralt.  Closes: #235654.
  * debian/po/sv.po: Add translation by Daniel Nylander.  Closes: #342920.
  * debian/po/vi.po: Add translation by Clytie Siddall.  Closes: #320326.

 -- Matej Vela <vela@debian.org>  Sun, 19 Feb 2006 13:48:12 +0100

teapop (0.3.7-4) unstable; urgency=low

  * Rebuild to update debconf dependency to allow use of cdebconf-2.0.
    Closes #332112.
  * Build-dep on libmysqlclient14-dev.
  * Up debhelper comaptibility level from 1 to 4(!) (actually making
    packaging compatible too, I hope).

 -- Nick Phillips <nwp@lemon-computing.com>  Sun,  9 Oct 2005 19:25:56 +1300

teapop (0.3.7-3) unstable; urgency=low

  * Apply debconf translation updates.
    Closes: #266788, #267193, #267574, #288196, #289284

 -- Nick Phillips <nwp@lemon-computing.com>  Sat, 22 Jan 2005 17:28:47 +1300

teapop (0.3.7-2) unstable; urgency=medium

  * Add missing build-dep on libldap2-dev
  * medium urgency set (should have set on previous upload, as important
    bug #218191 causing minor corruption really should be fixed before sarge)

 -- Nick Phillips <nwp@lemon-computing.com>  Tue, 17 Aug 2004 19:11:04 +1200

teapop (0.3.7-1) unstable; urgency=low

  * New (well, not by now) upstream version. 0.3.6 was short-lived
    and slightly dodgy.
    No problems with dot at start of mbox line in this version.
    Notable new things include tcpwrapper support, message expiry,
    hashing of mailspools for other auth types, md5 password support.
    Oh, and APOP fixed. Closes: #218191, #173485,
  * Now building version with LDAP support. Closes: #142768
  * Integrated changes from NMUs below. Thanks, Christian. Closes: #192750, #201805
  * Added japanese debconf translation. Closes: #222276
  * Butcher .orig.tar.gz to remove RSA MD5 stuff completely; note that this
    is the only change made to the original, which means that the .orig.tar.gz
    will not build or function without applying the debian diff.
  * Fix po-debconfisation to deal with all appropriate templates files.
  
 -- Nick Phillips <nwp@lemon-computing.com>  Mon, 26 Jul 2004 23:26:44 +1100

teapop (0.3.5-2.2) unstable; urgency=low

  * NMU
  * Brazilian portuguese debconf translation update. Thanks, Andre Luis
    Lopes

 -- Christian Perrier <bubulle@debian.org>  Wed,  8 Oct 2003 17:53:51 +0200

teapop (0.3.5-2.1) unstable; urgency=low

  * NMU
  * Switch to po-debconf with a backport-friendly method as
    wished by the maintainer. Closes: #192750
  * Debconf templates french translation. Closes: #201805
  * Debconf templates brazilian portuguese translation
  * Some rewrite of original debconf templates for removing the
    mention of a "Yes/No" choice which does not exist when using
    translated templates of some debconf interfaces
  * Removed dh_make boilerplate in debian/copyright

 -- Christian Perrier <bubulle@debian.org>  Mon,  6 Oct 2003 17:28:29 +0200

teapop (0.3.5-2) unstable; urgency=low

  * Patch from tausq@debian.org to fix warnings
    & stop segfaults on ia64. Closes: #188911
  * Apply fix from upstream p4 to escape usernames
    before passing to mysql or pgsql
  * Apply fix from upstream p4 to fix APOP when using
    mysql or pgsql auth.

 -- Nick Phillips <nwp@lemon-computing.com>  Fri, 25 Apr 2003 16:53:50 +1200

teapop (0.3.5-1) unstable; urgency=high

  * Add section to debian/rules to deal with DEB_{HOST,BUILD}_GNU_TYPE
    as per autotools-dev 20020320.1 docs.
  * Rename configure.in to configure.ac to get it processed by autoconf
    2.5x (less likely to lead to errors than trying to remember to
    insert AC_PREREQ each time upstream configure.in changes).
  * correct building of SELECT string in pop_mysql.c to build query
    correctly when pmailrow is not specified, and tidy up equivalent part
    of pop_pgsql too (change now incorporated upstream) - Closes: #148995
  * IMPORTANT: New upstream version improves signal handling during POP
    DELE operations; this may fix some data loss issues - Closes: #172756
  * Removed CVS cruft - Closes: #172312
  * Incorporated fix to handling of null bytes in mboxes from development
    version, and carried it over to maildir handling.
    IMPORTANT: Whilst this fixes a potential data loss issue with mboxes,
    the issue with maildirs was never as serious, and the updated maildir
    code is currently (2002/12/17) barely tested (although the change is
    minor).
    There is also still a potential issue, although I don't believe it is
    serious, if the last line of an mbox or maildir mail file is an
    exact multiple of 1023 chars long... although it appears that with
    both mboxes and maildirs, last lines are _supposed_ to be empty.


=== debian/control ===
Source: teapop
Section: mail
Priority: extra
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Nick Phillips <nwp@lemon-computing.com>
Build-Depends: debhelper (>= 4.1.16), libmysqlclient15-dev, libpq-dev, libldap2-dev
Standards-Version: 3.6.1.1

Package: teapop
Architecture: any
Depends: netbase, update-inetd, ${misc:Depends}, ${shlibs:Depends}
Recommends: mail-transport-agent
Suggests: stunnel
Conflicts: pop3-server
Provides: pop3-server
Replaces: pop3-server
Description: Powerful and flexible RFC-compliant POP3 server
 Teapop is a POP-3 server (compliant with RFC1939 and RFC2449)
 which supports:
     * Virtual hosting ("VPOP")
     * Flexible authentication (can get username/password from
       mysql, PostgreSQL, LDAP, .htpasswd files, system password db...)
     * APOP
     * mbox and Maildir-style spools
     * Use of X-UIDL headers
     * Ignoring UW-IMAPD control mails
     * Running from inetd or standalone
     * Various possible POP-before-SMTP methods if you know
       what you're doing.
 .
 The binary in this package does not include support for database
 authentication. Use the teapop-mysql, teapop-pgsql or teapop-ldap
 packages as appropriate if you need more than simple file-based
 authentication.

Package: teapop-mysql
Architecture: any
Depends: netbase, ${misc:Depends}, ${shlibs:Depends}
Recommends: mail-transport-agent
Suggests: stunnel
Conflicts: pop3-server
Provides: pop3-server
Replaces: pop3-server
Description: Powerful and flexible RFC-compliant POP3 server
 Teapop is a POP-3 server (compliant with RFC1939 and RFC2449)
 which supports:
     * Virtual hosting ("VPOP")
     * Flexible authentication (can get username/password from
       mysql, PostgreSQL, LDAP, .htpasswd files, system password db...)
     * APOP
     * mbox and Maildir-style spools
     * Use of X-UIDL headers
     * Ignoring UW-IMAPD control mails
     * Running from inetd or standalone
     * Various possible POP-before-SMTP methods if you know
       what you're doing.
 .
 The binary in this package includes support for database
 authentication using mysql. Use the teapop package if you
 need only file-based authentication, or the teapop-pgsql or
 teapop-ldap packages as appropriate.

Package: teapop-pgsql
Architecture: any
Depends: netbase, ${misc:Depends}, ${shlibs:Depends}
Recommends: mail-transport-agent
Suggests: stunnel
Conflicts: pop3-server
Provides: pop3-server
Replaces: pop3-server
Description: Powerful and flexible RFC-compliant POP3 server
 Teapop is a POP-3 server (compliant with RFC1939 and RFC2449)
 which supports:
     * Virtual hosting ("VPOP")
     * Flexible authentication (can get username/password from
       mysql, PostgreSQL, LDAP, .htpasswd files, system password db...)
     * APOP
     * mbox and Maildir-style spools
     * Use of X-UIDL headers
     * Ignoring UW-IMAPD control mails
     * Running from inetd or standalone
     * Various possible POP-before-SMTP methods if you know
       what you're doing.
 .
 The binary in this package includes support for database
 authentication using PostgreSQL. Use the teapop package if you
 need only file-based authentication, or the teapop-mysql or
 teapop-ldap packages as appropriate.

Package: teapop-ldap
Architecture: any
Depends: netbase, ${misc:Depends}, ${shlibs:Depends}
Recommends: mail-transport-agent
Suggests: stunnel
Conflicts: pop3-server
Provides: pop3-server
Replaces: pop3-server
Description: Powerful and flexible RFC-compliant POP3 server
 Teapop is a POP-3 server (compliant with RFC1939 and RFC2449)
 which supports:
     * Virtual hosting ("VPOP")
     * Flexible authentication (can get username/password from
       mysql, PostgreSQL, LDAP, .htpasswd files, system password db...)
     * APOP
     * mbox and Maildir-style spools
     * Use of X-UIDL headers
     * Ignoring UW-IMAPD control mails
     * Running from inetd or standalone
     * Various possible POP-before-SMTP methods if you know
       what you're doing.
 .
 The binary in this package includes support for authentication
 using LDAP. Use the teapop package if you need only file-based
 authentication, or pick one of the teapop-*sql packages as
 appropriate.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=4

# In case we set it anywhere
export DH_OPTIONS

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  archflags += --build $(DEB_HOST_GNU_TYPE)
else
  archflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

confflags = $(archflags) --prefix=/usr --mandir=\$${prefix}/share/man --localstatedir=/var/run/teapop --infodir=\$${prefix}/share/info --sysconfdir=/etc/teapop --exec_prefix=\$${prefix} --libexecdir=\$${exec_prefix}/sbin --enable-lock=dotlock,fcntl

# This code for backportability
# See http://lists.debian.org/debian-i18n/2003/debian-i18n-200307/msg00026.html
# for details
# Thanks Colin Watson
ifeq (,$(wildcard /usr/bin/po2debconf))
PO2DEBCONF := no
MINDEBCONFVER := 0.5
else
PO2DEBCONF := yes
MINDEBCONFVER := 1.2.0
endif


build:


build-plain: config-plain
	dh_testdir
	$(MAKE)

config-plain: config-plain-stamp
config-plain-stamp:
	@echo "*****Configuring plain teapop*****" 
	dh_testdir
	rm -f config-*-stamp

	./configure $(confflags)
	touch config-plain-stamp


build-mysql: config-mysql
	dh_testdir
	$(MAKE)

config-mysql: config-mysql-stamp
config-mysql-stamp:
	@echo "*****Configuring mysql teapop*****" 
	dh_testdir
	rm -f config-*-stamp
	./configure $(confflags) --with-mysql=/usr
	touch config-mysql-stamp


build-pgsql: config-pgsql
	dh_testdir
	$(MAKE)

config-pgsql: config-pgsql-stamp
config-pgsql-stamp:
	@echo "*****Configuring pgsql teapop*****" 
	dh_testdir
	rm -f config-*-stamp
	./configure $(confflags) --with-pgsql=/usr
	touch config-pgsql-stamp

build-ldap: config-ldap
	dh_testdir
	$(MAKE)

config-ldap: config-ldap-stamp
config-ldap-stamp:
	@echo "*****Configuring ldap teapop*****" 
	dh_testdir
	rm -f config-*-stamp
	./configure $(confflags) --with-ldap=openldap # --with-ldapinc=/usr
	touch config-ldap-stamp


clean: DH_OPTIONS=
clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -f config-*-stamp
	rm -f install-*-stamp
ifeq ($(PO2DEBCONF),yes)
	# Hack for woody compatibility. This makes sure that the
	# debian/templates file shipped in the source package doesn't
	# specify encodings, which woody's debconf can't handle. If building
	# on a system with po-debconf installed (conveniently debhelper (>=
	# 4.1.16) depends on it), the binary-arch target will generate a
	# better version for sarge.
	echo 1 > debian/po/output
	# Change the source file if they ever need different templates
	po2debconf debian/templates.master > debian/templates
	po2debconf debian/templates.master > debian/teapop-mysql.templates
	po2debconf debian/templates.master > debian/teapop-pgsql.templates
	po2debconf debian/templates.master > debian/teapop-ldap.templates
	rm -f debian/po/output
endif	

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	rm -f teapop/pop_mysql.o
	rm -f teapop/pop_pgsql.o
	rm -f teapop/pop_ldap.o
	dh_clean


install: install-plain install-mysql install-pgsql install-ldap

install-prep: DH_OPTIONS=
install-prep:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -A

install-plain: install-plain-stamp
install-plain-stamp: install-prep build-plain
	@echo "*****Installing plain teapop*****" 
	# Add here commands to install the package into debian/teapop.
	$(MAKE) install DESTDIR=`pwd`/debian/teapop
	touch install-plain-stamp


install-mysql: install-mysql-stamp
install-mysql-stamp: install-prep build-mysql
	@echo "*****Installing mysql teapop*****" 
	# Add here commands to install the package into debian/teapop-mysql.
	$(MAKE) install DESTDIR=`pwd`/debian/teapop-mysql
	touch install-mysql-stamp


install-pgsql: install-pgsql-stamp
install-pgsql-stamp: install-prep build-pgsql
	@echo "*****Installing pgsql teapop*****" 
	# Add here commands to install the package into debian/teapop-pgsql.
	$(MAKE) install DESTDIR=`pwd`/debian/teapop-pgsql
	touch install-pgsql-stamp


install-ldap: install-ldap-stamp
install-ldap-stamp: install-prep build-ldap
	@echo "*****Installing ldap teapop*****" 
	# Add here commands to install the package into debian/teapop-ldap.
	$(MAKE) install DESTDIR=`pwd`/debian/teapop-ldap
	touch install-ldap-stamp


# Build architecture-independent files here.
binary-indep:
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: DH_OPTIONS=-a
binary-arch: binary-arch-plain binary-arch-mysql binary-arch-pgsql binary-arch-ldap
#	dh_testversion
	dh_testdir
	dh_testroot

	# For woody compatibility
ifeq ($(PO2DEBCONF),yes)
	po2debconf -e utf8 debian/templates.master > debian/templates
	po2debconf -e utf8 debian/templates.master > debian/teapop-mysql.templates
	po2debconf -e utf8 debian/templates.master > debian/teapop-pgsql.templates
	po2debconf -e utf8 debian/templates.master > debian/teapop-ldap.templates
endif

	dh_installdebconf	
	dh_installdocs -XCVS
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
	dh_installinit
	dh_installcron
#	dh_installman -A
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs doc/ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
# -- -V'debconf-depends=debconf (>= $(MINDEBCONFVER))'
	dh_md5sums
	dh_builddeb

binary-arch-plain: build-plain install-plain

binary-arch-mysql: build-mysql install-mysql

binary-arch-pgsql: build-pgsql install-pgsql

binary-arch-ldap: build-ldap install-ldap

binary: binary-indep binary-arch

.PHONY: build build-plain build-mysql build-pgsql build-ldap config-plain config-mysql config-pgsql config-ldap clean install install-prep install-plain install-mysql install-pgsql install-ldap binary-indep binary-arch binary-arch-plain binary-arch-mysql binary-arch-pgsql binary-arch-ldap binary
